<?php

// =============================================================================
// Subs-Admin-Banner-Hooks.php
//
// Monthly Banner MOD for Simple Machines Forum
// =============================================================================
//
// Monthly Banners and Holidays by:	 	The Wizard (http://www.wizardsplanet.com)
// Version Number:						V 3.7
// Copyright 2013 by:					The Wizard
//
// License:
// This work is licensed under a Creative Commons Attribution-NonCommercial-NoDerivs 3.0 Unported License.
// You may not use this SMF modification except in compliance with
// the License. You may obtain a copy of the License at
// http://creativecommons.org/licenses/by-nc-nd/3.0/deed.en_US
//
// Artwork by Velasca: Copygight - www.wizardsplanet.com/index.php?topic=46.0 
//
// Wizard Image: Copyright - www.wizardsplanet.com/index.php?topic=47.0
//
// ==============================================================================

if (file_exists(dirname(__FILE__) . '/SSI.php') && !defined('SMF'))
	require_once(dirname(__FILE__) . '/SSI.php');
elseif (!defined('SMF'))
	die('<b>Error:</b> Cannot install - please verify that you put this file in the same place as SMF\'s index.php and SSI.php files.');

// Add monthly banner button and sub options to admin section

function banner_admin_areas(&$admin_areas)
{
	global $txt;

		$admin_areas['forum']['areas']['monthlybanners'] = array(
		'label' => $txt['banner_admin'],
		'file' => 'banner/ManageBanners.php',
		'function' => 'ManageBanners',
		'permission' => array('admin_forum', 'moderate_forum'),
		'icon' => 'wizard_smiley.png',
		'subsections' => array(
			'holiday_settings' => array($txt['holiday_settings']),
			'banner_add' => array($txt['banner_add']),
			'banner_remove' => array($txt['banner_remove']),
			'holiday_add' => array($txt['holiday_add']),
			'holiday_remove' => array($txt['holiday_remove']),
		),
	);
}

// End of Script
