<?php

// =============================================================================
// banner.template.php
//
// Monthly Banner MOD for Simple Machines Forum
// =============================================================================
//
// Monthly Banners and Holidays by:	 	The Wizard (http://www.wizardsplanet.com)
// Version Number:						V 3.7
// Copyright 2013 by:					The Wizard
//
// License:
// This work is licensed under a Creative Commons Attribution-NonCommercial-NoDerivs 3.0 Unported License.
// You may not use this SMF modification except in compliance with
// the License. You may obtain a copy of the License at
// http://creativecommons.org/licenses/by-nc-nd/3.0/deed.en_US
//
// Artwork by Velasca: Copygight - www.wizardsplanet.com/index.php?topic=46.0 
//
// Wizard Image: Copyright - www.wizardsplanet.com/index.php?topic=47.0
//
// ==============================================================================

if (!defined('SMF'))
	die('Hacking attempt...');

Function template_addBanners()
{
	global $settings, $txt, $context;

	// Start building template

	echo '
		<table width="100%" border="1" align="center">
		<tbody>
			<tr align="center">
				<td colspan="3"><img src="', $settings['default_theme_url'], '/images/banners/buttons/monthly_banner_add.png" alt="Add A Monthly Banner" width="100%"/><br /></td>
			</tr>
			<tr align="center">
				<td rowspan="3" valign="top"><br />';

	// Pause building template for php code

	// Show Monthly Banner form January to June
	if (!empty($context['banner_show_images_one']))
		foreach ($context['banner_show_images_one'] as $image)
			echo '<img src="', $settings['default_theme_url'], '/images/banners/banner_images/small/' . $image . '" border="0" width="100%" alt="', $image, '" /><br />', $image, '<br />';

	// Continue building template

	echo '
				</td>
				<td align="center" height="100"><br /><strong><span style="color: green">', $txt['banner_requirements'], '</span></strong><br /><br />
		<form name="newad" method="post" enctype="multipart/form-data"  action="">
		<input type="file" name="image" /><input type="hidden" name="', $context['session_var'], '" value="', $context['session_id'], '" /><br />
		<input name="submit" type="submit" value="Upload image" /><br /><br />
		</form>';

	// Pause building template for php code

	// Display the errors
	if (!empty($context['banner_errors']))
		foreach ($context['banner_errors'] as $error)
			echo $error, '<br />';

	// Display the success message if no errors registered.
	if (!empty($context['banner_ok']))
		echo $context['banner_ok'], '<br />';

	//
	if (!empty($context['banner_file_check_error']))
		echo $context['banner_file_check_error'], '<br />';

	//
	if (!empty($context['banner_error_general']))
		echo $context['banner_error_general'], '<br />';

	// Continue building template

	// Show wizards logo banner - Please do not remove
	echo '
		<br />
		<img src="', $settings['default_theme_url'], '/images/banners/buttons/wizard.jpg" alt="" width="75%" border="0" />
			</td>
			<td valign="top"><br />';

	// Pause building template for php code

	// Show all Monthly Banner from July to December
	if (!empty($context['banner_show_images_two']))
		foreach ($context['banner_show_images_two'] as $image_two)
			echo '<img src="', $settings['default_theme_url'], '/images/banners/banner_images/small/' . $image_two . '" border="0" width="100%" alt="', $image_two, '" /><br />', $image_two, '<br />';

	// Continue building template

	echo '
			</td>
		</tr>
		</tbody>
		</table>';
	// End of Function template_addBanners()
}

Function template_removeBanners()
{
	global $settings, $txt, $context;

	// Start building template

	echo '
	<table width="100%" border="1" align="center">
	<tbody>
		<tr align="center">
			<td colspan="3"><img src="', $settings['default_theme_url'], '/images/banners/buttons/monthly_banner_remove.png" alt="Remove A Monthly Banner" width="100%" /><br /></td>
		</tr>
	</tbody>

	</table>
	<table width="100%" border="1" align="center">
	<tbody>
		<tr align="center">
			<td colspan="3"><br /><strong><span style="color: green">', $txt['banner_click_on_to_remove'], '</span></strong><br /><br />';

	// Pause building template for php code

	// This is how we transfer banner name information
	if(isset($_GET['a'])){$image2 = $_GET['a'];}

	// Show image that was clicked on and ask are you sure you want to remove banner
	if (!empty($image2))
	{
		echo '<strong><span style="color: green">', $txt['banner_chosen_to_remove'], '</span></strong><br /><br />';

		echo '<center><img src="', $settings['default_theme_url'], '/images/banners/banner_images/small/' . $image2 . '" width="75%" alt="', $image2, '" /></center><br />';

		echo '<strong><span style="color: green">', $txt['banner_are_you_sure'], '</span></strong><br />';

		// remove banner
		echo '<center><br /><a href="?action=admin;area=monthlybanners;sa=banner_remove&#38;b=' . $image2 . '"><img src="' . $settings['default_theme_url'] . '/images/banners/buttons/removebutton.png" alt="remove button" /></a></center><br />';

	} // End of if($image2) bracket

	// Display the success message
	if (!empty($context['banner_successfully_removed']))
		echo $context['banner_successfully_removed'], '<br />';

	// Continue building template

	echo '
			</td>
		</tr>
		<tr align="center">
			<td rowspan="3" valign="top"><br />';

	// Pause building template for php code

	// Show Monthly Banner form January to June
	if (!empty($context['banner_show_images_one']))
		foreach ($context['banner_show_images_one'] as $image)
			echo '<a href="?action=admin;area=monthlybanners;sa=banner_remove&#38;a=' . $image . '"><img src="', $settings['default_theme_url'], '/images/banners/banner_images/small/' . $image . '" border="0" width="100%" alt="', $image, '" /></a><br />', $image, '<br />';

	// Continue building template

	// Show wizards logo banner - Please do not remove
	echo '
			</td>
			<td>
			<br />
			<img src="', $settings['default_theme_url'], '/images/banners/buttons/wizard.jpg" alt="" width="75%" border="0" />
			</td>
			<td valign="top"><br />';

	// Pause building template for php code

	// Show all Monthly Banner from July to December
	if (!empty($context['banner_show_images_two']))
		foreach ($context['banner_show_images_two'] as $image_two)
			echo '<a href="?action=admin;area=monthlybanners;sa=banner_remove&#38;a=' . $image_two . '"><img src="', $settings['default_theme_url'], '/images/banners/banner_images/small/' . $image_two . '" border="0" width="100%" alt="', $image_two, '" /></a><br />', $image_two, '<br />';

	// Continue building template

	echo '
			</td>
		</tr>
	</tbody>
	</table>';
	// End of Function template_removeBanners()
}

Function template_addHolidayBanners()
{
	global $settings, $txt, $context;

	// Start building template

	echo '
		<table width="100%" border="1" align="center">
		<tbody>
			<tr align="center">
				<td colspan="3"><img src="', $settings['default_theme_url'], '/images/banners/buttons/holiday_banner_add.png" alt="Add A Holiday Banner" width="100%" /><br /></td>
			</tr>
			<tr align="center">
				<td rowspan="3" valign="top"><br />';

	// Pause building template for php code

	// Show Monthly Banner form January to June
	if (!empty($context['banner_show_images_one']))
		foreach ($context['banner_show_images_one'] as $image)
			echo '<img src="', $settings['default_theme_url'], '/images/banners/holiday_images/small/' . $image . '" border="0" width="100%" alt="', $image, '" /><br />', $image, '<br />';

	// Continue building template

	echo '
				</td>
				<td align="center" height="100"><br /><strong><span style="color: green">', $txt['holiday_banner_requirements'], '</span></strong><br /><br />
		<form name="newad" method="post" enctype="multipart/form-data"  action="">
		<input type="file" name="image" /><input type="hidden" name="', $context['session_var'], '" value="', $context['session_id'], '" /><br />
		<input name="submit" type="submit" value="Upload image" /><br /><br />
		</form>';

	// Pause building template for php code

	// Display the errors
	if (!empty($context['banner_errors']))
		foreach ($context['banner_errors'] as $error)
			echo $error, '<br />';

	// Display the success message if no errors registered.
	if (!empty($context['banner_ok']))
		echo $context['banner_ok'], '<br />';

	//
	if (!empty($context['banner_file_check_error']))
		echo $context['banner_file_check_error'], '<br />';

	//
	if (!empty($context['banner_error_general']))
		echo $context['banner_error_general'], '<br />';

	// Continue building template

	// Show wizards logo banner - Please do not remove
	echo '
		<br />
		<img src="', $settings['default_theme_url'], '/images/banners/buttons/wizard.jpg" alt="" width="75%" border="0" />
			</td>
			<td valign="top"><br />';

	// Pause building template for php code

	// Show all Monthly Banner from July to December
	if (!empty($context['banner_show_images_two']))
		foreach ($context['banner_show_images_two'] as $image_two)
			echo '<img src="', $settings['default_theme_url'], '/images/banners/holiday_images/small/' . $image_two . '" border="0" width="100%" alt="', $image_two, '" /><br />', $image_two, '<br />';

	// Continue building template

	echo '
			</td>
		</tr>
		</tbody>
		</table>';
	// End of Function template_addHolidayBanners()
}

Function template_removeHolidayBanners()
{
	global $settings, $txt, $context;

	// Start building template

	echo '
	<table width="100%" border="1" align="center">
	<tbody>
		<tr align="center">
			<td colspan="3"><img src="', $settings['default_theme_url'], '/images/banners/buttons/holiday_banner_remove.png" alt="Remove A Holiday Banner" width="100%" /><br /></td>
		</tr>
	</tbody>

	</table>
	<table width="100%" border="1" align="center">
	<tbody>
		<tr align="center">
			<td colspan="3"><br /><strong><span style="color: green">', $txt['banner_click_on_to_remove'], '</span></strong><br /><br />';

	// Pause building template for php code

	// This is how we transfer banner name information
	if(isset($_GET['a'])){$image2 = $_GET['a'];}

	// Show image that was clicked on and ask are you sure you want to remove banner
	if (!empty($image2))
	{
		echo '<strong><span style="color: green">', $txt['banner_chosen_to_remove'], '</span></strong><br /><br />';

		echo '<center><img src="', $settings['default_theme_url'], '/images/banners/holiday_images/small/' . $image2 . '" width="75%" alt="', $image2, '" /></center><br />';

		echo '<strong><span style="color: green">', $txt['banner_are_you_sure'], '</span></strong><br />';

		// remove banner
		echo '<center><br /><a href="?action=admin;area=monthlybanners;sa=holiday_remove&#38;b=' . $image2 . '"><img src="' . $settings['default_theme_url'] . '/images/banners/buttons/removebutton.png" alt="remove button" /></a></center><br />';

	} // End of if($image2) bracket

	// Display the success message
	if (!empty($context['banner_successfully_removed']))
		echo $context['banner_successfully_removed'], '<br />';

	// Continue building template

	echo '
			</td>
		</tr>
		<tr align="center">
			<td rowspan="3" valign="top"><br />';

	// Pause building template for php code

	// Show Monthly Banner form January to June
	if (!empty($context['banner_show_images_one']))
		foreach ($context['banner_show_images_one'] as $image)
			echo '<a href="?action=admin;area=monthlybanners;sa=holiday_remove&#38;a=' . $image . '"><img src="', $settings['default_theme_url'], '/images/banners/holiday_images/small/' . $image . '" border="0" width="100%" alt="', $image, '" /></a><br />', $image, '<br />';

	// Continue building template

	// Show wizards logo banner - Please do not remove
	echo '
			</td>
			<td>
			<br />
			<img src="', $settings['default_theme_url'], '/images/banners/buttons/wizard.jpg" alt="" width="75%" border="0" />
			</td>
			<td valign="top"><br />';

	// Pause building template for php code

	// Show all Monthly Banner from July to December
	if (!empty($context['banner_show_images_two']))
		foreach ($context['banner_show_images_two'] as $image_two)
			echo '<a href="?action=admin;area=monthlybanners;sa=holiday_remove&#38;a=' . $image_two . '"><img src="', $settings['default_theme_url'], '/images/banners/holiday_images/small/' . $image_two . '" border="0" width="100%" alt="', $image_two, '" /></a><br />', $image_two, '<br />';

	// Continue building template

	echo '
			</td>
		</tr>
	</tbody>
	</table>';
	// End of Function template_removeHolidayBanners()
}

// End of Script
